Bug 1662623 - xdotool doesn't move mouse , has wrong idea of mouse coordinates
Summary: xdotool doesn't move mouse , has wrong idea of mouse coordinates
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xdotool
Version: 28
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Sven Lankes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-31 04:07 UTC by Ian Zimmerman
Modified: 2019-05-28 23:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:30:23 UTC


Attachments (Terms of Use)

Description Ian Zimmerman 2018-12-31 04:07:25 UTC
Here are two pieces of interaction in a terminal window:

1.
 matica!23 ~$ xdotool getmouselocation
x:1106 y:702 screen:0 window:2097172
 matica!24 ~$ xdotool mousemove_relative 100 100
 matica!25 ~$ xdotool getmouselocation
x:1206 y:802 screen:0 window:2097172

2.
 matica!27 ~$ xdotool getmouselocation
x:1306 y:902 screen:0 window:2097172
 matica!28 ~$ xdotool mousemove 100 100
 matica!29 ~$ xdotool getmouselocation
x:100 y:100 screen:0 window:2097172

BUT, neither during 1 nor during 2 has the mouse moved at all!

At first I thought it was something with my configuration - I asked a friend to try it on a Debian system with an earlier version of Gnome, and it worked there.  But it fails even with the plainest possible desktop settings.  Either it's a crippling bug in xdotool or I am missing something rather fundamental.

Comment 1 Ben Cotton 2019-05-02 20:05:27 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-28 23:30:23 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.